//
// Archos Jukebox Recorder register definitions
//

#ifndef _REG_H
#define _REG_H

typedef int BOOL;
typedef unsigned char  uchar;
typedef unsigned short uint16;
typedef unsigned long  uint32;

#define	TRUE	1
#define	FALSE	0

#define	REG16(a)		(* (volatile uint16 *) (0x05FFFF00+(a)))

#define	PADR			REG16(0xC0)		// Port A data register
#define	PBDR			REG16(0xC2)		// Port B data register
#define	PAIOR			REG16(0xC4)		// Port A I/O register
#define	PBIOR			REG16(0xC6)		// Port B I/O register
#define	PACR1			REG16(0xC8)		// Port A control register 1
#define	PACR2			REG16(0xCA)		// Port A control register 2
#define	PBCR1			REG16(0xCC)		// Port B control register 1
#define	PBCR2			REG16(0xCE)		// Port B control register 2

// Port B data register bits
#define	PBDR_LCD_SDA	0x0001			// LCD serial data
#define	PBDR_LCD_SCK	0x0002			// LCD serial clock
#define	PBDR_LCD_DC		0x0004			// LCD data (1) / command (0)
#define	PBDR_LCD_CS1	0x0008			// LCD chip select 1 (active low)
#define	PBDR_LED		0x0040			// Red LED

#endif // _REG_H
